## Apache Zeta Components Manual :: Docs For Class ezcDocumentBBCodeBlockLevelNode

### Document::ezcDocumentBBCodeBlockLevelNode

### Class ezcDocumentBBCodeBlockLevelNode

Struct for BBCode document block level abstract syntax tree nodes

Source for this file: /Document/src/document/bbcode/nodes/block.php

    ezcBaseStruct
       |
       --ezcDocumentBBCodeNode
          |
          --ezcDocumentBBCodeBlockLevelNode

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDocumentBBCodeListNode | Struct for BBCode document list abstract syntax tree nodes
ezcDocumentBBCodeLiteralBlockNode | Struct for BBCode document literal block abstract syntax tree nodes
ezcDocumentBBCodeListItemNode | Struct for BBCode document inline literal abstract syntax tree nodes
ezcDocumentBBCodeParagraphNode | Struct for BBCode document paragraph abstract syntax tree nodes

### Inherited Member Variables

From ezcDocumentBBCodeNode
public | `ezcDocumentBBCodeNode::$line`
public | `ezcDocumentBBCodeNode::$nodes`
public | `ezcDocumentBBCodeNode::$position`
public | `ezcDocumentBBCodeNode::$token`

### Inherited Methods

From ezcDocumentBBCodeNode
public void | `ezcDocumentBBCodeNode::__construct()` Construct BBCode node

Documentation generated by phpDocumentor 1.4.3